summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christopher Walker <kris240376@gmail.com>2013-04-26 23:16:15 (GMT)
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-28 15:30:58 (GMT)
commite2cf8d2af2c1d6fff035108fe4dfe25addebd7b1 (patch)
tree0828e8123c0b7219ceed46ac3c88c1ddb2508721
parentb1cc87feefe713fe79f4f12d50e124c993f67ecc (diff)
downloadslackbuilds-e2cf8d2af2c1d6fff035108fe4dfe25addebd7b1.tar.gz
perl/perl-XML-NamespaceSupport: Added (generic namespace class)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-XML-NamespaceSupport/README3
-rw-r--r--perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.SlackBuild88
-rw-r--r--perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.info10
-rw-r--r--perl/perl-XML-NamespaceSupport/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/perl/perl-XML-NamespaceSupport/README b/perl/perl-XML-NamespaceSupport/README
new file mode 100644
index 0000000..df80ac1
--- /dev/null
+++ b/perl/perl-XML-NamespaceSupport/README
@@ -0,0 +1,3 @@
+This module offers a simple to process namespaced XML names (unames) from
+within any application that may need them. It also helps maintain a prefix
+to namespace URI map, and provides a number of basic checks.
diff --git a/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.SlackBuild b/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.SlackBuild
new file mode 100644
index 0000000..70e6554
--- /dev/null
+++ b/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for perl-XML-NamespaceSupport
+
+# Copyright 2013 Christopher Walker Copperas Cove, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-XML-NamespaceSupport
+VERSION=${VERSION:-1.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=XML-NamespaceSupport
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.info b/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.info
new file mode 100644
index 0000000..57489c0
--- /dev/null
+++ b/perl/perl-XML-NamespaceSupport/perl-XML-NamespaceSupport.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-XML-NamespaceSupport"
+VERSION="1.11"
+HOMEPAGE="http://search.cpan.org/dist/XML-NamespaceSupport-1.11/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-1.11.tar.gz"
+MD5SUM="222cca76161cd956d724286d36b607da"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Christopher Walker"
+EMAIL="kris240376@gmail.com"
diff --git a/perl/perl-XML-NamespaceSupport/slack-desc b/perl/perl-XML-NamespaceSupport/slack-desc
new file mode 100644
index 0000000..27767e3
--- /dev/null
+++ b/perl/perl-XML-NamespaceSupport/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-XML-NamespaceSupport: perl-XML-NamespaceSupport (simple generic namespace support class)
+perl-XML-NamespaceSupport:
+perl-XML-NamespaceSupport: This module offers a simple to process namespaced XML names (unames)
+perl-XML-NamespaceSupport: from within an application that may need them. It also helps
+perl-XML-NamespaceSupport: maintain a prefix to namespace URI map, and provides a number of
+perl-XML-NamespaceSupport: basic checks.
+perl-XML-NamespaceSupport:
+perl-XML-NamespaceSupport: Homepage: http://search.cpan.org/dist/XML-NamespaceSupport-1.11/
+perl-XML-NamespaceSupport:
+perl-XML-NamespaceSupport:
+perl-XML-NamespaceSupport: